Projects
Create project
Create a new project within a workspace.
POST
/
projects
Create project
curl --request POST \
--url https://app.mavera.io/api/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"goal": "<string>",
"workspace_id": "<string>",
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "jsmith@example.com"
}
'import requests
url = "https://app.mavera.io/api/v1/projects"
payload = {
"name": "<string>",
"goal": "<string>",
"workspace_id": "<string>",
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
goal: '<string>',
workspace_id: '<string>',
budget_alert: 123,
usage_limit: 123,
billing_email: 'jsmith@example.com'
})
};
fetch('https://app.mavera.io/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/projects"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"goal\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"budget_alert\": 123,\n \"usage_limit\": 123,\n \"billing_email\": \"jsmith@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "project",
"name": "<string>",
"goal": "<string>",
"workspace_id": "<string>",
"workspace_name": "<string>",
"thread_count": 123,
"mave_thread_count": 123,
"generation_count": 123,
"credits_used_14d": 123,
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Body
application/json
Project name
Required string length:
1 - 100Project goal or description
Maximum string length:
500Workspace to create project in. Uses default workspace if not specified.
Credit usage alert threshold
Credit usage limit
Email for billing notifications
Response
Project created successfully
Unique project identifier
Available options:
project Project name
Project goal or description
Parent workspace ID
Parent workspace name
Number of chat threads in project
Number of Mave agent threads
Number of content generations
Credits used in the last 14 days
Credit usage alert threshold
Credit usage limit
Email for billing notifications
⌘I
Create project
curl --request POST \
--url https://app.mavera.io/api/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"goal": "<string>",
"workspace_id": "<string>",
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "jsmith@example.com"
}
'import requests
url = "https://app.mavera.io/api/v1/projects"
payload = {
"name": "<string>",
"goal": "<string>",
"workspace_id": "<string>",
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
goal: '<string>',
workspace_id: '<string>',
budget_alert: 123,
usage_limit: 123,
billing_email: 'jsmith@example.com'
})
};
fetch('https://app.mavera.io/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/projects"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"goal\": \"<string>\",\n \"workspace_id\": \"<string>\",\n \"budget_alert\": 123,\n \"usage_limit\": 123,\n \"billing_email\": \"jsmith@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "project",
"name": "<string>",
"goal": "<string>",
"workspace_id": "<string>",
"workspace_name": "<string>",
"thread_count": 123,
"mave_thread_count": 123,
"generation_count": 123,
"credits_used_14d": 123,
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}